%define upstream_name    Devel-hdb
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 0

Summary:    Perl debugger as a web page and REST service
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Server::PSGI)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(JSON)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
hdb is a Perl debugger that uses HTML and javascript to implement the GUI.
This front-end talks to a REST service provided by the debugger running
with the Perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
#make test

%install
%makeinstall_std

%files
%doc README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Dec 23 2013 guillomovitch <guillomovitch> 0.100.0-0.mga4
+ Revision: 560073
- new version 0.10

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 525550
- Mageia 4 Mass Rebuild

* Fri May 31 2013 guillomovitch <guillomovitch> 0.90.0-1.mga4
+ Revision: 433657
- new version

* Fri Mar 22 2013 guillomovitch <guillomovitch> 0.40.0-1.mga3
+ Revision: 404482
- imported package perl-Devel-hdb


* Fri Mar 22 2013 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
